Skip to main content
POST
Append Insights Chat Message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

chat_session_id
string<uuid>
required

Body

application/json
role
enum<string>
required
Available options:
user,
assistant
content
string
required
Maximum string length: 200000
response_payload
Response Payload · object | null
client_message_id
string<uuid> | null
request_message_id
string<uuid> | null
turn_run_id
string<uuid> | null

Response

Successful Response